WordPress 2.8.5 & WordPress Exploit Scanner

WordPress recently released version 2.8.5 of its blog software. Any site running WordPress should be updated immediately by downloading the current version and following the upgrade instructions or automatically upgrading from the Tools->Upgrade page of your blog’s admin.

More information can be found at the WordPress blog.

In other security-related news, a new plugin is available to users of WordPress who believe their site has been the target of an exploit. Check out the WordPress Exploit Scanner to examine your site/plugins for traces of exploits and make your blog more secure.